/******************************************************************************
*     WMSound: Window Maker Sound Server                                      *
*     Copyright (C) 1998, 1999                                                *
*         Anthony Quinn   <southgat@frontiernet.net>                          *
*         Pascal Hofstee  <daeron@shadowmere.student.utwente.nl>              *
*         William Moore   <billy@mud.mind.net>                                *
*                                                                             *
*     This program is free software: you can redistribute it and/or modify    *
*     it under the terms of the GNU General Public License as published by    *
*     the Free software Foundattion; either version 2 of the License, or      *
*     (at your option) any later version.                                     *
*                                                                             *
*     This program is distributed in the hope that it will be usefull,        *
*     but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            *
*     GNU General Public License for more details.                            *
*                                                                             *
*     You should have received a copy of the GNU General Public License       *
*     along with this program; if not, write to the Free Software             *
*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               *
******************************************************************************/

#ifndef _WMSOUND_H_
#define _WMSOUND_H_

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#ifndef __FreeBSD__
#include <malloc.h>
#endif
#include <sys/stat.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xproto.h>
#include <proplist.h>

#include "../lib/wmsnd.h"

enum {
	WMSOUND_STARTUP		= 1000,
	WMSOUND_SHADE		= 1001,
	WMSOUND_UNSHADE		= 1002,
	WMSOUND_MAXIMIZE	= 1003,
	WMSOUND_UNMAXIMIZE	= 1004,
	WMSOUND_ICONIFY		= 1005,
	WMSOUND_DEICONIFY	= 1006,
	WMSOUND_HIDE		= 1007,
	WMSOUND_UNHIDE		= 1008,
	WMSOUND_APPSTART	= 1009,
	WMSOUND_APPEXIT		= 1010,
	WMSOUND_USER_DEF	= 1011
};

#define APPNAME "WMSoundServer"
#define WMSOUND_VERSION "0.9.5"

extern proplist_t WMSoundDB;
Window		wmsndMain;
Display		*mainDpy;
Atom		deleteWin, _XA_WINDOWMAKER_WM_FUNCTION, protos[2];
XClassHint	clsHints;
XWMHints	*wmgrHints;
u_long		blk_pixl, wht_pixl;
int		winCount;
Bool		blHidden;

/* Proto Types */
int	wmsndInitDisplay (int argc, char **argv);
void	wmsndDispatchStartup ();
void	wmsndProcessEvents ();

#endif
