/******************************************************************************
*     WMSound: Window Maker Sound Server                                      *
*     Copyright (C) 1998, 1999 Anthony Quinn <southgat@frontiernet.net>       *
*                                                                             *
*     This program is free software: you can redistribute it and/or modify    *
*     it under the terms of the GNU General Public License as published by    *
*     the Free software Foundattion; either version 2 of the License, or      *
*     (at your option) any later version.                                     *
*                                                                             *
*     This program is distributed in the hope that it will be usefull,        *
*     but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            *
*     GNU General Public License for more details.                            *
*                                                                             *
*     You should have received a copy of the GNU General Public License       *
*     along with this program; if not, write to the Free Software             *
*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               *
******************************************************************************/

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <proplist.h>

#include "../lib/wmsnd.h"


extern	proplist_t WMSoundDB;
char	*ProgName;

static	char *wmsndoptions[] = {
	"AppExit",
	"AppStart",
	"Hide",
	"Iconify",
	"Maximize",
	"UnMaximize",
	"Shade",
	"Startup",
	"UnHide",
	"DeIconify",
	"UnShade",
	"UserDefined",
	NULL
};


int
main (int argc, char **argv)
{
	proplist_t	style, key, val;
	char		*style_file = NULL;
	int		i;
	
	ProgName = argv[0];
	
	if (argc > 2) {
		printf("usage: %s [<style file>]\n\r", ProgName);
		exit(1);
	}
	else if (argc > 0)
		style_file = argv[1];
	
	wmsndLoadConfig();
	style = PLMakeDictionaryFromEntries(NULL, NULL, NULL);
	
	for (i=0; wmsndoptions[i] != NULL; i++) {
		key = PLMakeString(wmsndoptions[i]);
		val = PLGetDictionaryEntry(WMSoundDB, key);
		if (val)
			PLInsertDictionaryEntry(style, key, val);
	}
	
	if (style_file) {
		PLSetFilename(style, PLMakeString(style_file));
		PLSave(style, YES);
	}
	else
		puts(PLGetDescriptionIndent(style, 0));
	
	PLRelease(WMSoundDB);
	PLRelease(style);
	return 0;
}

